//! Map view.

use super::qobj::*;

impl IMapViewTrait for IMapView
{
   /// Returns a new `IMapView` instance.
   fn new(emit: IMapViewEmitter) -> Self
   {
      if cfg!(debug_assertions) {
         eprintln!("new IMapView");
      }

      Self{emit}
   }

   /// Returns the emitter of `self`.
   fn emit(&mut self) -> &mut IMapViewEmitter {&mut self.emit}
}

impl Drop for IMapView
{
   fn drop(&mut self)
   {
      if cfg!(debug_assertions) {
         eprintln!("drop IMapView");
      }
   }
}

pub struct IMapView {
   emit: IMapViewEmitter,
}

// EOF
